:root {
  --purple-color-light-theme: #c997d7;
  --black-color-dark-theme: #000;
  --cyan-color-dark-theme: #46a2fd;

  --header-font-color: #000;
  --header-background-color: #fff;
  --font-color: var(--purple-color-light-theme);
  --font-color-tag: #fff;
  --background-color: #f3f3f3;
  --background-color-tag: #282c34;
  --border-article-color: #dddee0;
  --box-shadow-color: var(--purple-color-light-theme);
}

html[data-theme="dark"] {
  --font-color: var(--cyan-color-dark-theme);
  /*--background-color: #242424;*/
  --background-color: #282c34;
  /*--background-color-tag: #f3f3f3;*/
  --background-color-tag: #fff;
  --font-color-tag: #000;
  --header-background-color: #191919;
  --header-font-color: #fff;
  --box-shadow-color: var(--cyan-color-dark-theme);
  --border-article-color: #3c424d;
}

/*Scrollbar*/

::-webkit-scrollbar {
  width: 20px;
}

::-webkit-scrollbar-track {
  background-color: transparent;
}

::-webkit-scrollbar-thumb {
  background-color: var(--font-color);
  border-radius: 20px;
  border: 6px solid transparent;
  background-clip: content-box;
}

/*Scrollbar*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: "Montserrat", sans-serif;
}

body {
  background-color: var(--background-color);
}

/*dark theme switch*/

@import "https://unpkg.com/open-props/easings.min.css";
.sun-and-moon > :is(.moon, .sun, .sun-beams) {
  transform-origin: center center;
}
.sun-and-moon > :is(.moon, .sun) {
  fill: var(--icon-fill);
}
.theme-toggle:is(:hover, :focus-visible) > .sun-and-moon > :is(.moon, .sun) {
  fill: var(--icon-fill-hover);
}
.sun-and-moon > .sun-beams {
  stroke: var(--icon-fill);
  stroke-width: 1px;
}
.theme-toggle:is(:hover, :focus-visible) .sun-and-moon > .sun-beams {
  stroke: var(--icon-fill-hover);
}
[data-theme="dark"] .sun-and-moon > .sun {
  transform: scale(1.75);
}
[data-theme="dark"] .sun-and-moon > .sun-beams {
  opacity: 0;
}
[data-theme="dark"] .sun-and-moon > .moon > circle {
  transform: translate(-7px);
}
@supports (cx: 1) {
  [data-theme="dark"] .sun-and-moon > .moon > circle {
    transform: translate(0);
  }
}
@media (prefers-reduced-motion: no-preference) {
  .sun-and-moon > .sun {
    transition: transform 0.5s var(--ease-elastic-3);
  }
  .sun-and-moon > .sun-beams {
    transition: transform 0.5s var(--ease-elastic-4), opacity 0.5s var(--ease-3);
  }
  .sun-and-moon .moon > circle {
    transition: transform 0.25s var(--ease-out-5);
  }
  @supports (cx: 1) {
    .sun-and-moon .moon > circle {
      transition: cx 0.25s var(--ease-out-5);
    }
  }
  [data-theme="dark"] .sun-and-moon > .sun {
    transform: scale(1.75);
    transition-timing-function: var(--ease-3);
    transition-duration: 0.25s;
  }
  [data-theme="dark"] .sun-and-moon > .sun-beams {
    transform: rotate(-25deg);
    transition-duration: 0.15s;
  }
  [data-theme="dark"] .sun-and-moon > .moon > circle {
    transition-delay: 0.25s;
    transition-duration: 0.5s;
  }
}
.theme-toggle {
  --size: 2.6rem;
  --icon-fill: hsl(210 10% 30%);
  --icon-fill-hover: hsl(210 10% 15%);
  background: none;
  border: none;
  aspect-ratio: 1;
  cursor: pointer;
  touch-action: manipulation;
  padding: 0;
  margin: 0;
  -webkit-tap-highlight-color: transparent;
}
.theme-toggle > svg {
  inline-size: 85%;
  block-size: 85%;
  stroke-linecap: round;
}
[data-theme="dark"] .theme-toggle {
  --icon-fill: hsl(210 10% 70%);
  --icon-fill-hover: hsl(210 15% 90%);
}
@media (hover: none) {
  .theme-toggle {
    --size: 28px;
  }
}

@supports not (color-scheme: dark) {
  html[data-theme="dark"] {
    background: #111;
  }
}
@-webkit-keyframes octocat-wave {
  0%,
  to {
    transform: rotate(0);
  }
  20%,
  60% {
    transform: rotate(-25deg);
  }
  40%,
  80% {
    transform: rotate(10deg);
  }
}
@keyframes octocat-wave {
  0%,
  to {
    transform: rotate(0);
  }
  20%,
  60% {
    transform: rotate(-25deg);
  }
  40%,
  80% {
    transform: rotate(10deg);
  }
}

.btn-theme {
  color: var(--header-font-color);
}

/*

  Dark mode slider

*/

/* .theme-switch {
  display: inline-block;
  height: 34px;
  position: relative;
  width: 60px;
}
.theme-switch input {
  display: none;
}

.theme-switch-wrapper {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.theme-switch-wrapper em {
  margin-left: 10px;
  font-size: 1rem;
}

.slider {
  background-color: #ccc;
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: 0.4s;
}

.slider:before {
  background-color: #fff;
  bottom: 4px;
  content: "";
  height: 26px;
  left: 4px;
  position: absolute;
  transition: 0.4s;
  width: 26px;
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

input:checked + .slider {
  background-color: #66bb6a;
}

input:checked + .slider:before {
  transform: translateX(26px);
} */

/*
*/

/*

  HEADER

*/
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 80px;
  background: var(--header-background-color);
  *box-shadow: 0 4px 45px -22px var(--purple-color-light-theme);
  box-shadow: 0 4px 45px -22px var(--box-shadow-color);
  z-index: 999;
}

header button {
  align-self: center;
}

header .header-content {
  max-width: 1200px;
  margin: auto;
  display: flex;
  justify-content: space-between;
}

header .header-nav-title {
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.header-nav-title h1 {
  font-weight: 100;
  color: var(--header-font-color);
}

header .header-nav-title h1 b {
  *color: #46a2fd;
  color: var(--font-color);
}

.header-nav-menu {
  height: 80px;
}

.header-nav-menu nav {
  height: 100%;
}

.header-nav-menu nav ul {
  height: 100%;
  display: flex;
  list-style: none;
}

.header-nav-menu nav ul li {
  height: 100%;
  margin: 0px 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

/* .menu-selected:before{
  content: '';
  width: 100%;
  height: 4px;
  background-color: #46a2fd;
  position: absolute;
  top: 0;
  left: 0;
} */

.header-nav-menu nav ul li a {
  color: var(--header-font-color);
  *font-weight: 600;
  transition: color 300ms;
}

.header-nav-menu nav ul li a:hover {
  color: var(--font-color);
}

.header-nav-menu nav ul li .text-menu-selected {
  color: var(--font-color);
}

/*

  LISTAR POSTS

*/

main {
  display: flex;
  flex-direction: column;
  max-width: 1200px;
  margin: 80px auto;
}

main hr{
  margin: 25px 0;
}

article {
  display: flex;
  align-items: flex-start;
}

#heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#heading h1 span {
  font-size: 1em;
  color: var(--font-color);
}
article {
  transition: 300ms;

  padding: 25px;
  margin: 10px 0;

  *box-shadow: 15px 15px 0px 2px;

  *border-bottom: 1px solid #e1e1e1;
  border: 1px solid var(--border-article-color);
  color: var(--header-font-color);
  *margin-bottom: 20px;
  *padding-bottom: 20px;
  *border-radius: 50px 20px 76px 90px;
  border-radius: 4px;
}

.article-empty{
  font-size: 21px;
  color: var(--header-font-color);
  display: block;
  text-align: center;
  margin: auto;
  width: 250px;
  height: 250px;
}

/*
  TEST
*/

/* .border-effect-box {
  box-shadow: 10px 10px 0px 2px;
}

.border-effect-filter {
  filter: drop-shadow(1.5px 1.5px 5px var(--font-color));
} */

.border-effect-box-hover:hover {
  box-shadow: 10px 10px 0px 2px;
}

.border-effect-box-hover:hover h2{
  color: var(--font-color);
}

/* .border-effect-filter-hover:hover {
  filter: drop-shadow(1.5px 1.5px 5px var(--font-color));
} */

article:hover {
  border: 1px solid var(--font-color);
}

article img {
  margin-right: 15px;
}

article .article-date {
  border: 1px solid black;
  background-color: var(--background-color-tag);
  color: var(--font-color-tag);
  border-radius: 25px;
  float: right;
  padding: 5px;
}

article .text {
  width: 100%;
}

article hr {
  background-color: var(--background-color-tag);
  border: 0 none;
  color: var(--background-color-tag);
  height: 1px;
  margin: 10px 0;
  width: 90%;
}

span {
  font-size: 11px;
}
p {
  font-size: 13px;
}
h2 {
  margin: 0;
  padding: 0;
  line-height: 1em;
}

@media (max-width: 779px) {
  main {
    max-width: 90%;
    margin: 120px auto;
  }

  header .header-nav-title {
    font-size: 10px;
  }

  article {
    flex-direction: column;
  }
  article img {
    width: 100%;
    margin-bottom: 20px;
  }
}
/*

  Post

*/

.post {
  margin-top: 60px;
  color: var(--header-font-color);
}

.post .post-date {
  margin: 15px auto;
  font-size: 21px;
}

.post .post-warning {
  background-color: #fff3cd;
  color: #856404;
  border-color: #ffeeba;
  padding: 0.75rem 1.25rem;
  border: 1px solid transparent;
  border-radius: 0.25rem;
  font-size: 1rem;
  line-height: 1.5;
  font-weight: 400;
}

.post .post-title {
  text-shadow: 1px 1px var(--font-color);
  color: var(--font-color);
  margin: 15px 0;
  font-weight: 600;
  text-align: center;
}

.post .post-info {
  margin: 15px 0;
  font-size: 21px;
  line-height: 1.6;
}

.post .post-info-container p {
  margin: 15px 0;
  font-size: 21px;
  line-height: 1.6;
}

.post .post-info-container h2{
  margin: 15px 0;
}

.post .post-info-container p a{
  color: var(--font-color)
}

.post .post-info-container p a:hover{
  color: #a6c333;
}

.post pre code{
  margin: auto 0;
  font-family: monospace;
  border: 1px solid var(--header-font-color);
  border-radius: 3px;
  padding: 10px;
  margin: 25px 0;
  font-size: 25px;
  line-height: 1.6;

  *display: inline;
  
}

.post code:hover{
  -webkit-transition: border .2s ease-in-out;
  transition: border .2s ease-in-out;

  border: 1px solid var(--font-color);
  cursor: pointer;
}

.post code:active{
  background-color: var(--font-color);
  color: var(--header-font-color);
}

.post .post-info-container img,
.post .post-info-container figcaption {
  display: block;
  text-align: center;
  font-style: italic;
  margin: auto;
}

.post-time {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 15px 0;
  font-size: 21px;
  font-style: italic;
  letter-spacing: 2px;
}

.post-time b {
  margin: 0 5px;
}

.post .post-url {
  margin-top: 15px;
  margin-bottom: 15px;
  color: var(--header-font-color);
  font-size: 21px;
}

.post a:link {
  color: var(--header-font-color);
}

.post a:visited {
  color: var(--header-font-color);
}

.post a:hover {
  color: var(--font-color);
}

.post a:active {
  color: var(--header-font-color);
}

.post .post-url .post-url-1 {
  *text-decoration: underline;
}

.post .post-url .post-url-2 {
  *text-decoration: underline;
}

.post hr {
  background-color: var(--font-color);
  margin: 10px auto;
  width: 90%;
}

.post .btn-home {
  margin: 15px 0;
  font-size: 21px;
}

/*

  animation test

*/

.bouncingShape {
  position: absolute;
  transform-origin: 50% 50%;
  animation: rotate360 5.5s linear 0s infinite forwards,
    moveX 3.5s linear 0s infinite alternate,
    moveY 3.6s linear 0s infinite alternate;
}

.bouncingShape2 {
  position: absolute;
  transform-origin: 15% 15%;
  animation: rotate360 5.5s linear 0s infinite forwards,
    moveX1 3.1s linear 0s infinite alternate,
    moveY1 3.2s linear 0s infinite alternate;
}

.bouncingShape3 {
  position: absolute;
  transform-origin: 32% 32%;
  animation: rotate360 5.5s linear 0s infinite forwards,
    moveX 4.1s linear 0s infinite alternate,
    moveY 4.1s linear 0s infinite alternate;
}

.bouncingShape4 {
  position: absolute;
  transform-origin: 72% 72%;
  animation: rotate360 5.5s linear 0s infinite forwards,
    moveX 4.2s linear 0s infinite alternate,
    moveY 4.2s linear 0s infinite alternate;
}

.bouncingShape5 {
  position: absolute;
  transform-origin: 64% 64%;
  animation: rotate360 5.5s linear 0s infinite forwards,
    moveX 3.9s linear 0s infinite alternate,
    moveY 3.9s linear 0s infinite alternate;
}

.bouncingShape6 {
  position: absolute;
  transform-origin: 83% 83%;
  animation: rotate360 5.5s linear 0s infinite forwards,
    moveX 3.7s linear 0s infinite alternate,
    moveY 3.7s linear 0s infinite alternate;
}

@keyframes moveX {
  from {
    left: 0;
  }

  to {
    left: 85%;
  }
}

@keyframes moveX1 {
  from {
    left: 2%;
  }

  to {
    left: 85%;
  }
}

@keyframes moveY {
  from {
    top: 8%;
  }

  to {
    top: 85%;
  }
}

@keyframes moveY1 {
  from {
    top: 8%;
  }

  to {
    top: 85%;
  }
}

@keyframes rotate360 {
  0% {
    transform: rotate(0deg);
  }
  25% {
    transform: rotate(90deg);
  }
  50% {
    transform: rotate(180deg);
  }
  75% {
    transform: rotate(270deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media only screen and (min-width: 600px) {
  .bouncingShape {
    position: absolute;
    transform-origin: 50% 50%;
    animation: rotate360 5.5s linear 0s infinite forwards,
      moveX 3.5s linear 0s infinite alternate,
      moveY 3.6s linear 0s infinite alternate;
  }

  .bouncingShape2 {
    position: absolute;
    transform-origin: 15% 15%;
    animation: rotate360 5.5s linear 0s infinite forwards,
      moveX1 3.1s linear 0s infinite alternate,
      moveY1 3.2s linear 0s infinite alternate;
  }

  .bouncingShape3 {
    position: absolute;
    transform-origin: 32% 32%;
    animation: rotate360 5.5s linear 0s infinite forwards,
      moveX 4.1s linear 0s infinite alternate,
      moveY 4.1s linear 0s infinite alternate;
  }

  .bouncingShape4 {
    position: absolute;
    transform-origin: 72% 72%;
    animation: rotate360 5.5s linear 0s infinite forwards,
      moveX 4.2s linear 0s infinite alternate,
      moveY 4.2s linear 0s infinite alternate;
  }

  .bouncingShape5 {
    position: absolute;
    transform-origin: 64% 64%;
    animation: rotate360 5.5s linear 0s infinite forwards,
      moveX 3.9s linear 0s infinite alternate,
      moveY 3.9s linear 0s infinite alternate;
  }

  .bouncingShape6 {
    position: absolute;
    transform-origin: 83% 83%;
    animation: rotate360 5.5s linear 0s infinite forwards,
      moveX 3.7s linear 0s infinite alternate,
      moveY 3.7s linear 0s infinite alternate;
  }

  @keyframes moveX {
    from {
      left: 0;
    }

    to {
      left: 85%;
    }
  }

  @keyframes moveX1 {
    from {
      left: 2%;
    }

    to {
      left: 85%;
    }
  }

  @keyframes moveY {
    from {
      top: 8%;
    }

    to {
      top: 85%;
    }
  }

  @keyframes moveY1 {
    from {
      top: 8%;
    }

    to {
      top: 85%;
    }
  }
}

.bouncing-space img {
  max-width: 100%;
  height: auto;
}

/*Paginacion*/

.navigation{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 25px;
}

.navigation li a{
  transition: 300ms;
}

.navigation li a,
.navigation li a:hover,
.navigation li.active a,
.navigation li.disabled {
  color: #fff;
  text-decoration: none;
}

.navigation li {
  display: inline;
}

.navigation li a,
.navigation li a:hover,
.navigation li.active a,
.navigation li.disabled {
  *background-color: var(--font-color);
  background-color: transparent;
  *border: 1px solid transparent;
  border: 1px solid var(--font-color);
  color: var(--header-font-color);
  border-radius: 3px;
  cursor: pointer;
  padding: 10px;
}

.navigation li a:hover,
.navigation li.active a {
  border: 1px solid var(--font-color);
  *background-color: transparent;
  background-color: var(--font-color);
  color: var(--header-font-color);
}

.preloader-plus{
  background-color: var(--background-color) !important;
}

/*

  Footer

*/
